#
# spec file for package python3-mock-doc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-mock-doc
Version:        2.0.0
Release:        2.6
Url:            http://www.voidspace.org.uk/python/mock/
Summary:        Documentation for python3-mock
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/m/mock/mock-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-Sphinx
BuildRequires:  python3-mock = %{version}
Requires:       python3-mock = %{version}
BuildArch:      noarch

%description
mock is a Python module that provides a core Mock class. It removes the need
to create a host of stubs throughout your test suite. After performing an
action, you can make assertions about which methods / attributes were used and
arguments they were called with. You can also specify return values and set
needed attributes in the normal way.

%prep
%setup -q -n mock-%{version}

%build
sphinx-build -b html docs html

%install
mkdir -p %{buildroot}/%{_docdir}/python3-mock
cp -r html  %{buildroot}/%{_docdir}/python3-mock/

%files
%defattr(-,root,root,-)
%{_docdir}/python3-mock/html

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Sat Apr  9 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 2.0.0:
  * Fix #338: depend on a fixed version of funcsigs
  * More 3.2 support dropping cleanup
  * Update sync point
  * Add Mock.assert_called()
  * Issue25347 - Format the error message output of mock's
    assert_has_calls method
  * Issue #22138: Fix mock.patch behavior when patching
    descriptors. Restore original values after patching
  * Issue #24857: Comparing call_args to a long sequence now correctly
    returns a boolean result instead of raising an exception
  * Issue #23004: mock_open() now reads binary data correctly when the
    type of read_data is bytes
  * Add version info in the docs
  * Update six to a version with raises_from
  * Fix #328 - handle unicode __repr__ on Python 2.x
  * Drop support for Python 3.2
  * Fix typo in docs/index.txt
  * Fix README.rst checking
  * Be clearer about Python version compat
  * Issue #295: use a setup_requires dependency
  * Improve grouping of imports in tests
  * Use six to detect python2/3 in main module
  * Use six to detect python2/3 in test modules
* Mon Oct 12 2015 toddrme2178@gmail.com
- Don't run tests in doc package.
* Mon Oct 12 2015 toddrme2178@gmail.com
- Split documentation into separate spec file to avoid dependency loop
  python3-mock <--> python3-Sphinx
